Package org.eclipse.microprofile.openapi.apps.airlines.model

# Enum Gender

java.lang.Object
java.lang.Enum<Gender>
org.eclipse.microprofile.openapi.apps.airlines.model.Gender

All Implemented Interfaces:
  `Serializable`, `Comparable<Gender>`

public enum Gender extends Enum<Gender>

Author:
  jonathan coustick

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FEMALE`
`MALE`
`OTHER`

## Method Summary

Modifier and Type
Method
Description
`static Gender`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Gender[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MALE

public static final Gender MALE

### FEMALE

public static final Gender FEMALE

### OTHER

public static final Gender OTHER

## Method Details

### values

public static Gender[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Gender valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null